/* ----------- variables------------- */
:root {
    --primary-color: lch(88.53% 37.87 197.01);
    --secondary-color: #593C19;
    --background-color: #F2F2F2;
    --text-color: #00080D;
    --text-color-tint: #B4BBBF;
    --font-family: 'Roboto', sans-serif;
    /* --box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.8);
    --transition: all 0.3s ease; */
}

/* ------------- reset and helper--------------- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--font-family);
}

.bg-color- {
    background-color: #B4BBBF;
    color: var(--text-color);
    font-family: var(--font-family);
    font-size: 16px;
    line-height: 1.7;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-color);
    font-family: var(--font-family);
    font-weight: 600;
}

a {
    text-decoration: none;
    color: var(--text-color);
    transition: var(--transition);
}

a:hover {
    color: var(--primary-color);
}

img {
    max-width: 100%;
    height: auto;
}

.section-padding {
    padding: 30px 0;
}

/* -------------------- image zoom------------------------------ */
.image-zoom {
    position: relative;
    overflow: hidden;
}

.image-zoom-wrapper {
    overflow: hidden;
    position: relative;
}

.image-zoom-wrapper img {
    transition: all 0.3s ease;
    ;
}

.image-zoom:hover .image-zoom-wrapper img {
    transform: scale(1.1);
}

/* ---------------- nav bar------------------- */
.navbar-nav .nav-link {
    color: var(--text-color);
    font-weight: 500;

}

.navbar-nav .nav-link:active {
    color: var(--primary-color);
}

/* --------- btn------------ */
.button {
    padding: 10px 24px;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 5;
    outline: none;
    border: 0;
}

.butto1 {
    border-radius: 5px;
}

.c-item a {
    text-decoration: none;
}

.float {
    text-decoration: none;
}

.button-brand {
    background-color: var(--secondary-color);
    color: var(--background-color);
    border-color: var(--secondary-color);
}

.btn-brand {
    background-color: var(--secondary-color);
}

.button-brand:hover {
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

.btn-brand:hover {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    outline: none;
    border: 0;
}

/* ------------- hero ---------------- */
/* #hero {
    background: linear-gradient(rgba(0, 0, 0, 0.507), rgba(0, 0, 0, 0.336)), url(img/blog2.jpg);
    background-size: cover;
    background-position: center;
}

.bg-color {
    background-color: var(--secondary-color);
    color: var(--background-color);
} */

/* -------------------- carousel------- */
.carousel-inner .carousel-caption {
    top: 0px;
    margin-bottom: 100px;
}

.carousel-inner .carousel-caption h5 {
    font-size: 32px;
    text-transform: uppercase;
}

.c-item {
    height: 480px;

}

.c-image {
    height: 100%;
    object-fit: cover;
    filter: brightness(50%);
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    .carousel-inner .carousel-caption {
        top: 0px;
        margin-top: 100px;
    }

    .carousel-inner .carousel-caption h5 {
        font-size: 20px;
    }

    .carousel-inner .carousel-caption p {
        font-size: 12px;
    }

    .footer-p {
        font-size: 12px;
    }

    .a-image {
        margin-bottom: 20px;
    }
    #about-us-p{
        margin-bottom: 1000px;
    }

}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .carousel-inner .carousel-caption {
        padding-bottom: 0px;
        padding-top: 200px;
    }

    .footer-p {
        font-size: 18px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .carousel-inner .carousel-caption {
        padding-bottom: 170px;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    .carousel-inner .carousel-caption {
        padding-bottom: 200px;
    }
}


/* #slider{
    overflow: hidden;
 }
 #slider figure{
    position: relative;
    width: 500%;
    margin: 0;
    left: 0;
    animation: 20s slider infinite;
 }
 #slider figure img{
    float: left;
    width: 20%;
 }
 @keyframes slider {
    0%{
        left: 0;
    }
    20%{
        left: 0;
    }
    25%{
        left: -100%;
    }
    45%{
        left: -100%;
    }
    50%{
        left: -200%;
    }
    70%{
        left: -200%;
    }
    75%{
        left: -300%;
    }
    95%{
        left: -300%;
    }
    100%{
        left: -400%;
    }
 }  */

/* -------------------------section title------------------ */
.section-title {
    margin-bottom: 40px;
}

.section-title .line {
    width: 50px;
    height: 4px;
    background-color: var(--secondary-color);
    margin: 16px auto 24px auto;
}

.section-title p {
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}

/* ------------------------ iconbox--------------------- */
.iconbox {
    width: 70px;
    height: 60px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary-color);
    font-size: 34px;
    flex: none;
}

i {
    color: var(--secondary-color);
}

/*--------------------------- counter------------ */
#counter {
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(img/gil12.jpg);
    background-size: cover;
    background-position: center;
}

/* ------------------------ portfolio--------------- */
.portfolio-item .iconbox {
    color: white;
    position: absolute;
    top: 40%;
    left: 50%;
    background-color: var(--background-color);
    transform: translate(-50% -50%);
    opacity: 0;
}

.portfolio-item:hover .iconbox {
    opacity: 1;
    top: 50%;
}

/*------------------------review----------------  */
.review-small {
    font-weight: 600;
    text-transform: uppercase;
    color: var(--secondary-color);
}

.icon-1 {
    color: #f5ac0e;
}

.review-hand {
    position: relative;
}

.review-hand::after {
    content: "";
    width: 28px;
    height: 28px;
    position: absolute;
    bottom: -14px;
    background-color: white;
    transform: rotate(45deg);

}

/* ------------------- TEAM------------ */
.team-member-content {
    background-color: var(--secondary-color);
    position: absolute;
    bottom: -24px;
    left: 50%;
    width: calc(100%-50px);
    transform: translateX(-50%);
    padding: 24px;
    transition: all 0.3s ease;
    opacity: 0;
}

.team-member:hover .team-member-content {
    opacity: 1;
    bottom: 24px;
}

/* ----------------------line---------- */
.line {
    width: 50px;
    height: 4px;
    background-color: var(--secondary-color);
    margin: 16px auto 24px auto;
}


/* -------------------contact--------------- */
#contact {
    position: relative;
    z-index: 2;
}

#contact::after {
    content: "";
    width: 100%;
    height: 70%;
    background: linear-gradient(rgba(89, 60, 25, 0.8), rgba(89, 60, 25, 0.8)), url(img/gil12.jpg);
    background-size: cover;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

#contact .form-control {
    border-radius: 0;
}

#contact .form-control:focus {
    box-shadow: none;
    border-color: var(--secondary-color);
}

/* --------------blog-------- */
.Read {
    color: var(--secondary-color);
}

/* ----------------------------footer----------------- */
footer {
    padding-top: 120px;
}


.footer-top {
    padding-bottom: 40px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.footer-bottom {
    padding-top: 40px;
    padding-bottom: 40px;
}

footer ul {
    list-style: none;
    padding: 0;
}

ul a {
    text-align: none;
}

footer li,
footer p,
footer a {
    color: rgba(255, 255, 255, 0.7);
}

footer .line {
    width: 40px;
    height: 4px;
    background-color: var(--primary-color);
    margin-top: 12px;
    margin-bottom: 24px;

}

.social-icons a {
    width: 40px;
    height: 40px;
    display: inline-flex;
    justify-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 100px;
}

.social-icons a:hover {
    background-color: var(--secondary-color);
    color: var(--background-color)
}

/* --------------------- float------------------- */
.float {
    position: fixed;
    width: 50px;
    height: 50px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
    z-index: 100;
}

.my-float {
    margin-top: 50px;
}

/* ----------------------realtor section---------- */
.btn-realtor {
    background-color: var(--secondary-color);
    color: var(--background-color);
    padding: 16px;
    border-radius: 5px;
    text-transform: uppercase;
    font-size: 16px;
    border: 0;
    outline: none;

}

.btn-realtor:hover {
    background-color: var(--primary-color);
    color: var(--secondary-color);

}

.margin-b {
    margin-bottom: 400px;
}

/* -------------------member form---------------- */
.c-member {
    color: #593C19;
}

/* -------------------about-us page--------------- */
#about-us-p {
    position: relative;
    z-index: 2;
}
#about a{
    text-decoration: none;
}
.a-btn{
    border: 1px solid #593C19;
    color: var(--secondary-color);
    padding: 7px;
    border-radius: 5px;
    display: block;
    text-align: center;
    margin-left: 30px;
    margin-top: 20px;
    width: 30%;
    font-size: 12px;
}
.a-btn:hover{
    background-color: var(--secondary-color);
    color: var(--background-color);
}
#about-us-p::after {
    content: "";
    width: 100%;
    height: 70%;
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url(img/Blue\ Modern\ Elegant\ Apartment\ Real\ Estate\ Instagram\ Post.png);
    background-size: cover;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.mt-10 {
    margin-top: 30px;
}

.a-icon {
    color: rgb(245, 245, 245);
    margin-left: 5px;
}

.a-icon-1 {
    margin-left: 5px;
}

.team-member-a {
    margin: 20px;
    width:50%;
}

.team-member-a img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 20px;
}
/* ------------services------------ */
#services-2::after {
    content: "";
    width: 100%;
    height: 70%;
    background: linear-gradient(rgba(89, 60, 25, 0.5), rgba(89, 60, 25, 0.5)), url(img/ad3.jpg);
    background-size: cover;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
#services-2 {
    position: relative;
    z-index: 2;
}
